--
-- $Id$
--
-- sso=4 prefix toevoegen aan bookmarks

DEFINE thisfile = 'PNBR#38527.SQL'
DEFINE dbuser   = '^PNBR'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE fac_bookmark
   SET fac_bookmark_query = 'sso=4&' || fac_bookmark_query
 WHERE     fac_bookmark_query IS NOT NULL
       AND fac_bookmark_flags = 5
       AND fac_bookmark_query NOT LIKE '%sso=%';

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
